\label{chap:application}

The results from the previous chapters open a wide array of possible applications for gradient-type methods in conjunction with a plethora of different particle--membrane models.
This chapter illustrates some of the capabilities of the established interaction framework by means of several example applications.

\section{Perturbed gradient method}
  \label{sec:perturbedGradient}
  All of the following application examples consider at some point an optimization problem for an interaction potential~$\EI$ over some closed configuration space~$\cD$, reading
  \begin{align}
    \label{eq:appOptim}
    \min_{\p \in \cD}\, \EI(\p)
    \text{.}
  \end{align}
  Because it is known at this point that the interaction potential is differentiable under general assumptions, it is in principle feasible to approach this problem using \eg gradient descent methods.
  However, special care needs to be taken as of the inexact evaluation of the gradient~$\nabla\EI(\p)$.
  A method which is able to cope with this circumstance of non-vanishing perturbations of the gradient is the so-called \emph{perturbed gradient method} as introduced in~\cite{SoSv97}.
  The pseudocode in \cref{alg:perturbedGradientMethod} shows a specialization of the algorithm presented therein.
  In that context the convention $\min \emptyset := \infty$ is declared for convenience.
  The method performs line searches in the perturbed steepest descent directions~$d^i = -G^i \approx -\nabla \EI(\p)$, similar to the classical gradient descent method, and uses an Armijo-type step size rule.
  However, it omits the classical stopping criteria such as ``$\Vert\p^{i+1} - \p^i\Vert < \eps$'' or ``$\Vert\nabla \EI(\p^i)\Vert < \eps$'' because they are no longer reasonable choices for termination in the presence of non-vanishing gradient perturbations.
  Instead, the algorithm terminates if within an iteration step no valid Armijo step size $2^{-k_i}$ with $k_i \in \{0,\dots,K\}$ is found where $K \in \N$ is a pre-defined threshold.
  
  \begin{algorithm}
    \caption{Perturbed gradient method for $\EI$ over $\R^{n\times k}$}
    \label{alg:perturbedGradientMethod}
    \begin{algorithmic}[1]
    
      \STATE Suppose $\p^0 \in \cD$, $K \in \mathbb{N}$, $N \in \mathbb{N}$ and $\omega \in (0,1)$.
      \vspace{0.5\baselineskip}
      \FOR{$i \in 0,\dots,N-1$}
        \STATE Compute $d^i := -G^i \approx -\nabla\EI(\p^i)$, using \eg \cref{alg:gradientEvaluation}.
        \vspace{0.5\baselineskip}
        \STATE Let $k_i := \min\left\{ k \in \{0,\dots, K\} \mid \EI(\p^i) - \EI(\p^i + 2^{-k} d^i) \geq \omega 2^{-k} \norm{d^i}^2 \right\}$.
        \IF{$k_i = \infty$}
          \RETURN $\p^i$
        \ENDIF
        \vspace{0.5\baselineskip}
        \STATE Let $\p^{i+1} := \p^{i} + 2^{-k_i} d^i$.
      \ENDFOR
      \vspace{0.5\baselineskip}
      \RETURN $\p^N$
    \end{algorithmic}
  \end{algorithm}
  
  Under slight additional regularity assumptions the following convergence result holds for large enough $K$:
  
  \begin{theorem}
    Suppose Lipschitz-continuity of $\nabla \EI$, \ie $\EI \in C^{1,1}$, and denote by $L \in \R_{>0}$ the Lipschitz-constant of $\nabla\EI$.
    In addition, assume
    \begin{align*}
      K \geq \log_2\left( \frac{L}{2(1-\omega)} \right)
    \end{align*}
    where $\omega \in (0,1)$ is the Armijo-constant in \cref{alg:perturbedGradientMethod}.
    Let
    %~ $(\p^i)_{i \in \N}$
    $(\p^i)$ be
    a sequence generated by \cref{alg:perturbedGradientMethod} for $N := \infty$.
    If this sequence is finite with last element $\p^\ast$, then
    \begin{align*}
      \p^\ast \in \left\{ \p\in\R^{n\times k} \ \bigg \vert \  \norm{\nabla \EI(\p)} \leq \frac{2\norm{\nabla \EI(\p^\ast) - G^\ast }}{\sqrt{8\omega +1} - 1 - 2\omega} \right\}
      \text{.}
    \end{align*}
    If the sequence is infinite, then either $\EI$ is unbounded from below or the sequence $(\EI(\p^i))_{i\in\N}$ converges and every accumulation point $\p^\ast$ of $(\p^i)_{i\in\N}$ fulfills
    \begin{align*}
      \p^\ast \in \left\{ \p\in\R^{n\times k}\ \bigg \vert \ \norm{\nabla \EI(\p)} \leq \limsup_{i\to\infty} \norm{\nabla \EI(\p^i) - G^i} \right\}
      \text{.}
    \end{align*}
    Moreover, if $\norm{\nabla \EI(\p^i)} \geq \frac{2\norm{\nabla \EI(\p^\ast) - G^\ast }}{\sqrt{8\omega +1} - 1 - 2\omega}$ for all $i \in \N$, then $\lim_{i\to\infty} \nabla \EI(\p^i) \to 0$ and in particular every accumulation point of the sequence~$(\p^i)_{i\in\N}$ is a stationary point.
  \end{theorem}
  
  \begin{proof}
    The proof of an even more general statement is given by \cite[Theorem 2.2]{SoSv97}.
  \end{proof}
  
  %~ - gradient method as a candidate
  %~ - non-vanishing perturbations in the gradient, especially not in the limit
  %~ - gradient method with Armijo-type step size rule
  %~ - Classical stopping criterions are not admissible here
  %~ - $K$ as in paper
  %~ - convergence proofs from papers
  %~ - presented method is a specialization (and slight modification) of the algorithm presented in ...
  %~ \TK{To-do: - issue: projected method is not really feasible... but not projecting is not feasible either
  %~ - do not forget about related papers (especially concerning projections)}
  %~ - uses convention $\min \emptyset = \infty$
  %~ - Assumption $\EI \in C^{1,1}$
  %~ - Special convergence under $K \geq \log_2(L/(2(1-\omega)))$.
 
  A readily apparent issue with this algorithm is that it is designed for unconstrained problems, while the problem~\eqref{eq:appOptim} of interest is in general constrained.
  In the setting where the admissible set~$\cD$ is closed and convex, perturbed gradient projection methods have been studied as in \cite{Solodov97} and similar properties as for the perturbed gradient method have been shown.
  Unfortunately, usually the configuration space~$\cD$ resulting from particle--membrane interaction models -- including the ones that are to follow in this chapter -- is non-convex, and so more care needs to be taken for finding suitable optimization methods for~\eqref{eq:appOptim}.
  However, it also is the case that the numerical applications of \cref{alg:perturbedGradientMethod} to the examples below do exclusively generate iterates within the interior of the feasible domain.
  This likely is because the energies are such that $\EI(\p) \to \infty$ holds for $\p \to \partial\cD$, and hence the problems behave like unconstrained ones.
  As a consequence, the use of \cref{alg:perturbedGradientMethod} is as an exception justified for the upcoming problems, but still more investigations are required in order to develop a stable optimization method for these problems in general.


\section{Pattern formation of isotropic conical inclusions in the Monge-gauge}
  \label{sec:isotropicMongeGauge}
  A popular particle model in the study of elastic particle--membrane interactions are isotropic conical inclusions. %\snote{Put some references here?}
  As the name suggests, those are transmembrane particles with a conical shape and in particular circular cross sections.
  The particle--membrane interface is hence given by a circle, and a membrane connects to it with a slope that is induced by the cone.
  Usually, such a conical particle is free in space and therefore it is justified to equip it with the corresponding translational and rotational degrees of freedom.
  %~ See \TK{FIGURE TODO} for a graphical illustration.
  
  The membrane is assumed to be ``almost flat'' and the particles are assumed to only induce small deformation in order to justify a Monge-gauge parameterization later on.
  Moreover, in order to avoid artificial boundary effects the membrane is extended periodically.
  
  In this setting the overall goal is to investigate the pattern formation of conical inclusions on the membrane.
  It is first necessary to formulate the above objects mathematically within the interaction framework.
  This requires the specification of a reference particle manifold~$\wt{\cG}_0$ and an interface submanifold~$\cG_0 \subseteq \wt{\cG}_0$ such that $\cG_0$ induces suitable constraints.
  For the level set approach as in \cref{sec:levelSet} also a planar reference interface~$\Gamma_0 \subseteq \R^2$ and a height function~$\gamma\colon \R^2 \rightarrow \R$ are needed such that $(x,\gamma(x)) \in \wt{\cG}_0$ for all $x \in \R^2$ and such that the map $\Gamma_0 \ni x \mapsto (x,\gamma(x)) \in \R^3$ is bijective onto $\cG_0$.
  In addition also a level set function~$f\colon\R^2\rightarrow\R$ for $\Gamma_0$ must be defined.
  Moreover, a transformation function~$\Psi$ has to be chosen such that the degrees of freedom of a particle are represented as intended.
  Finally, also a reference manifold~$\cM_0$ with an associated bending energy~$\E$ is to be defined together with a parameterization~$\varphi\colon\Omega \rightarrow\cM_0$ and a parameterization domain~$\Omega\subseteq\R^2$.
  Then the associated function space $H^2(\Omega)$ needs to be equipped with the appropriate configuration-independent boundary conditions.
  
  As stated before, the particle object induces a circular interface.
  Without loss of generality, this interface is embedded into the two-dimensional Euclidean plane, \ie it holds
  \begin{align*}
    \cG_0 := \left \{ x \in \R^2 \times \{0\} \mid x_1^2 + x_2^2 = r^2 \right\}
  \end{align*}
  for some pre-defined radius $r \in \R_{>0}$.
  Correspondingly, the planar interface is simply given by
  \begin{align*}
    \Gamma_0 := \left \{ x \in \R^2 \ \big\vert \ \norm{x}^2 = r^2 \right\}
  \end{align*}
  and a feasible level set representation of~$\Gamma_0$ is immediately defined by $f(x) := r^2 - \norm{x}^2$.
  
  In addition to the constant height of the circular interface, the particle is seen to also induce a constant slope.
  Hence, by prescribing the radially symmetric height function
  \begin{align*}
    \gamma(x) := \frac{s}{2r} \left(r^2 - \norm{x}^2 \right)
    %~ \text{.}
  \end{align*}
  where $s \in \R$ is a slope parameter,
  a suitable reference particle manifold which extends the interface~$\cG_0$ and which has a constant slope is defined via
  \begin{align*}
    \wt{\cG}_0 := \left\{ (x,\gamma(x)) \in \R^3 \mid x \in \R^2 \right\}
    \text{.}
  \end{align*}
  Concerning the transformation $\Psi$, it is reasonable to equip every particle with the typical six degrees of freedom for the translations and rotations and thus define for every state $p \in \R^6$ and position $x \in \R^3$
  \begin{align*}
    \Psi(p,x) := R_3(p_6)R_2(p_5)R_1(p_4) x + \mat{p_1\\p_2\\p_3}
  \end{align*}
  as in \cref{thm:variablePositionOrientation} where the $R_i(\alpha)$ are the counter-clockwise rotations around the $x_i$ axis by the angle $\alpha$.
  The membrane model and the elastic energy are given by the well-known Monge-gauge as described in \cref{thm:linearizationMongeGauge}.
  In particular, a domain~$\Omega \subseteq \R^2$ may be chosen freely and the reference surface is then defined by $\cM_0 := \Omega \times \{0\}$.
  The prototypical membrane energy upon perturbations of $\cM_0$ is defined as
  \begin{align*}
    \E(u) := \frac{1}{2} \int_\Omega \kappa (\Delta u)^2 + \sigma \norm{\nabla u}^2 \d{x}
    \text{.}
  \end{align*}
  In order to easily incorporate the periodicity of the surface, it is assumed that $\Omega = [-L,L]^2$ is a square domain.
  This leads to the function space
  \begin{align*}
    H^2_\ast(\Omega) := \big\{ u \in H^2(\Omega) \mid \ & u(L,\cdot) = u(-L,\cdot), \ u(\cdot,L) = u(\cdot,-L)
      \\ & \partial_{x_1} u(L,\cdot) = \partial_{x_1} u(-L,\cdot), \ \partial_{x_2} u(\cdot,L) = \partial_{x_2} u(\cdot,-L) \big\}
    %~ \text{.}
  \end{align*}
  of feasible periodic membrane shapes.
  Parameter-dependent constraints are going to be realized via curve constraints in the sense of \cref{sec:curveConstraints}.
  
  Given $n \in \N$ particles and a configuration $\p \in \R^{n\times 6}$, the optimal membrane shape is in this setting uniquely defined by
  \begin{align*}
    u(\p) := \argmin_{v \in \Uad(\p)} \frac{1}{2} \int_{\Omega(\p)} \kappa (\Delta u)^2 + \sigma \norm{\nabla u}^2 \d{x}
  \end{align*}
  and so the interaction potential takes the value
  \begin{align*}
    \EI(\p) := \frac{1}{2} \int_{\Omega(\p)} \kappa (\Delta u(\p))^2 + \sigma \norm{\nabla u(\p)}^2 \d{x}
    \text{.}
  \end{align*}
  Here the involved configuration-dependent interfaces~$\Gamma(\p)$ and domains~$\Omega(\p)$ as well as the admissible sets~$\Uad(\p)$ may be defined and represented via a level set approach as in \cref{sec:levelSet}.
  
  Altogether, the problem of finding stationary particle configurations is of the form~\eqref{eq:appOptim}, \ie it reads
  \begin{align*}
    \min_{\p \in \cD} \EI(\p)
  \end{align*}
  where the space of admissible configurations is $\cD := \{ \p \in \R^{n \times 6} \mid \Uad(\p) \neq \emptyset \}$.
  Differentiability of the interaction potential~$\EI$ is known from \cref{thm:derivativeMongeGauge}.
    
  This problem is tackled numerically for the case of $n=9$ particles with the radius $r = \frac{3}{13}$ and slope $s = 1$ over the domain $\Omega = [-2,2]^2$ by the perturbed gradient method from \cref{alg:perturbedGradientMethod}.
  In an attempt to speed up the convergence, the rescaled interaction energy
  \begin{align*}
    \wt{\EI}(\p) := \EI(R\p)
  \end{align*}
  is minimized instead of the original interaction energy.
  It uses the purely heuristically motivated rescaling function
  \begin{align*}
    (R\p)_{ij} :=
    \begin{cases}
      \p_{ij} & ,\ j \in \{1,2\}
      \\ \frac{\p_{ij}}{10} & ,\ j = 3
      \\ \frac{\p_{ij}}{20r\pi}  & ,\ j \in \{4,5,6\}\text{.}
    \end{cases}
  \end{align*}
  As initial iterate the configuration $\wt{\p}^0 := R\p^0$ with
  \begin{align*}
    \p^0 :=
      %~ \begin{pmatrix}
        %~ -1-\frac{1}{14} & -1-\frac{1}{14} & 0 & 0 & 0 & 0 \\
        %~ -\frac{1}{14} & -1-\frac{1}{14} & 0 & 0 & 0 & 0 \\
        %~ 1-\frac{1}{14} & -1-\frac{3}{14} & 0 & 0 & 0 & 0 \\
        %~ -1-\frac{3}{14} & \frac{1}{14} & 0 & 0 & 0 & 0 \\
        %~ 0 & 0 & 0 & 0 & 0 & 0 \\
        %~ 1+\frac{1}{14} & \frac{1}{14} & 0 & 0 & 0 & 0 \\
        %~ -1+\frac{1}{14} & 1-\frac{3}{14} & 0 & 0 & 0 & 0 \\
        %~ \frac{1}{14} & 1-\frac{1}{14} & 0 & 0 & 0 & 0 \\
        %~ 1-\frac{1}{14} & 1+\frac{1}{14} & 0 & 0 & 0 & 0 
      %~ \end{pmatrix}
      \begin{pmatrix}
        -1 & -1 & 0 & 0 & 0 & 0 \\
        0 & -1 & 0 & 0 & 0 & 0 \\
        1-\frac{1}{7} & -1+\frac{1}{7} & 0 & 0 & 0 & 0 \\
        -1-\frac{1}{7} & \frac{1}{7} & 0 & 0 & 0 & 0 \\
        0 & 0 & 0 & 0 & 0 & 0 \\
        1+\frac{1}{7} & \frac{1}{7} & 0 & 0 & 0 & 0 \\
        -1-\frac{1}{7} & 1-\frac{1}{7} & 0 & 0 & 0 & 0 \\
        \frac{1}{7} & 1 & 0 & 0 & 0 & 0 \\
        1 & 1+\frac{1}{7} & 0 & 0 & 0 & 0 
      \end{pmatrix}
      \in \R^{9\times 6}
  \end{align*}
  is chosen.
  The gradients within the perturbed gradient method are evaluated using \cref{alg:gradientEvaluation} and the discrete approximations~$u_h(\p)$ of $u(\p)$ are computed by the fictitious domain stabilized Nitsche method in \cref{alg:approxCurve} with grid size $h = \frac{1}{32}$.
  The bending rigidity and the surface tension are set to $\kappa := 1$ and $\sigma := 0$, respectively, and the parameters in the perturbed gradient method are set to $K := 11$, $N := 10^4$ and $\omega :=  0.01$.
  Due to symmetries in the problem, the position of the central particle $\p^i_5 := \p^0_5$ remains fixed and is not changed during the iterations.
  
  In \cref{fig:iteratesIsotropicMongeGauge} the resulting iterates are shown.
  The method required a total of $9$~iteration steps and $29$~function evaluations.
  In particular, the method terminated before reaching the maximum iteration count.
  The energy decreased from $8.44$ to $5.88$.

  \begin{figure}
    \begin{center}
      \hspace{7.5mm}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_0.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_1.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_2.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_3.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_4.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_5.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_6.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_7.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_8.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{isotropicMongeGauge_iterate_9.eps}
    \end{center}
    \caption{Top view of the optimal membrane shapes associated to the iterates $\p^i$ for $i = 0,\dots,9$ (from left to right, from top to bottom) as generated by the perturbed gradient method applied to the problem in \cref{sec:isotropicMongeGauge}. The coloring encodes the elevation of the membrane deformation function.}
    \label{fig:iteratesIsotropicMongeGauge}
  \end{figure}
  
  In this simulation the particles quickly arrange into a highly structured pattern which resembles a uniform grid of quadrilaterals.
  This finding appears to be plausible because of the periodic boundary conditions and because it is known that the pairwise interaction between conical inclusions is strictly repulsive in case of Monge-gauge parameterizations with vanishing surface tension (see \cite{WeKoHe98,ElGrHoKoWo16}).
  While results are also known where a pairwise repulsive interaction can still lead to stable clustering for a many-particle interaction (see \eg \cite{KiNeOs98}), it appears that in this concrete example the repulsion dominates, which again leads to the formation of such a regular pattern.


\section{Aggregation of anisotropic ellipsoidal protein scaffolds in the Monge-gauge}
  \label{sec:anisotropicMongeGauge}

  The following example model is identical to the previous one except that it considers anisotropic scaffolding particles instead of isotropic inclusions,
  which are here chosen to have an elliptic shape.
  %~ The particles are chosen to have an elliptic shape.
  %~ See \TK{TODO} for a visual representation.
  The concept behind a scaffolding particle is that it is seen to lie on the membrane,
  and while doing so it forces the membrane to take the particle's shape, hence the name ``scaffolding particle.''
  Therefore the membrane shape within the domain that is covered by the particle always remains constant, independently of the particle configuration.
  In particular, the energy contribution from the affected membrane section remains constant as well and is in consequence negligible during energy minimization.
  As a result, only the influence of the particle on the membrane's shape and slope along its boundary matters, which leads to the same concept for the particle--membrane interface as inclusion particles.
   %~ concept of a particle--membrane interface as for inclusion particles.
  
  In consequence, the essential mathematical framework and the discretization remain identical to \cref{sec:isotropicMongeGauge}, only that now the height function $\gamma$ and the planar reference interface~$\Gamma_0$ are different.
  For this example, let $r := \frac{4}{13}$, $s = 0.2$ and
  \begin{align*}
    \gamma(x) := \frac{sr}{2} \left( \frac{x_1^2}{r^2} - \frac{x_2^2}{4r^2} \right)
  \end{align*}
  as well as
  \begin{align*}
    f(x) := 1 - \frac{x_1^2}{r^2} - \frac{x_2^2}{4r^2}
  \end{align*}
  such that $\Gamma_0 := f^{-1}(\{0\})$ forms an ellipse and $\cG_0 := (\Gamma_0, \gamma(\Gamma_0))$ a saddle.
  The remaining model definitions stay the same as in the previous section.
  
  Also the parameters in the optimization method and those in the discretization schemes are kept the same.
  The only differences are that now $n=6$ particles are to be considered, that the heuristic rescaling for the rescaled interaction potential $\wt{\EI}(\p) := \EI(R\p)$ is now defined by
  \begin{align*}
    (R\p)_{ij} :=
    \begin{cases}
      \p_{ij} & ,\ j \in \{1,2\}
      \\ \frac{\p_{ij}}{10} & ,\ j = 3
      \\ \frac{\p_{ij}}{10r\pi}  & ,\ j = 4
      \\ \frac{\p_{ij}}{20r\pi}  & ,\ j = 5
      \\ 5\p_{ij}  & ,\ j = 6
    \end{cases}
  \end{align*}
  and that the initial configuration is set to $\wt{\p}^0 = R\p^0$ with
  \begin{align*}
    \p^0 :\approx
    \begin{pmatrix}
      -0.96 & -0.62 & 0 & 0 & 0 & 25^\circ \\
      0.04 & -0.54 & 0 & 0 & 0 & 20^\circ \\
      0.88 & -0.62 & 0 & 0 & 0 & 20^\circ \\
      -1.12 & 0.54 & 0 & 0 & 0 & -10^\circ \\
      0 & 0.5 & 0 & 0 & 0 & 0^\circ \\
      1.04 & 0.38 & 0 & 0 & 0 & -20^\circ
    \end{pmatrix} \in \R^{6 \times 6}
    \text{.}
  \end{align*}
  The particle position~$\p_5^i := \p_5^0$ is again set to stay constant during minimization.

  A selection of the iterates resulting from multiple consecutive applications of the perturbed gradient method is shown in \cref{fig:iteratesAnisotropicMongeGauge}.
  Those iterates were obtained by repeatedly running the algorithm until it terminated due to violation of the Armijo step length rule and then restarting it with a perturbation of the last iterate in direction $-10^{-3}G$, \ie ``$\p^{\text{new}}_0 = \p^{\text{old}} - 10^{-3} G^{\text{old}}$.''
  This essentially corresponds to a combination of the original method with a standard gradient flow algorithm as a backup,
  and by doing so it was possible to circumvent apparent dead ends in the algorithms due to numerical instabilities.
  As such an approach is not fully satisfactory from a numerical viewpoint, this once more emphasizes the need for further investigations for robust discretization and optimization algorithms.
  In total $300$ iteration steps were computed, which required $898$ function evaluations.
  The method was terminated manually, and the energy decreased from $7.41$ to $5.05$.

  \begin{figure}
    \begin{center}
      \hspace{7.5mm}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_0.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_1.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_2.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_3.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_4.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_5.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_6.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_7.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_8.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{anisotropicMongeGauge_iterate_9.eps}
    \end{center}
    \caption{Top view of the optimal membrane shapes associated to the iterates $\p^i$ for $i = 0, 10, 25, 50, 75, 100, 150, 200, 250, 300$ (from left to right, from top to bottom) as generated by the perturbed gradient method applied to the problem in \cref{sec:anisotropicMongeGauge}. The coloring encodes the elevation of the membrane deformation function.}
    \label{fig:iteratesAnisotropicMongeGauge}
  \end{figure}

  Starting from their ladder-like arrangement (iterates $0$, $10$ and $25$), the particles begin to assemble in a ellipsoidal shape (iterates $50$, $75$ and $100$) and ultimately end up aggregating in form of a circle (iterates $150$ and above).
  Roughly speaking, it appears to be energetically most favorable to limit the strong curvature generated at the long ends of the particles by linear alignment.
  Hence, depending on the particle number linear structures such as simple lines or circles might be expected, or also the union of many lines and circles in the case of large particle counts.
  Of course, the present data can not verify if the obtained circular configuration is indeed optimal.
  To this end it would arguably be necessary to apply global optimization methods to the given problem.
  Alternatively, a first insight might be gained from considering further variations in particle numbers and initial configurations.
  
  Altogether, the given anisotropic particles appear to have the potential ability to build superstructures solely based on the membrane-mediated interaction force.
  In particular, the exhibited behavior is vastly different from the isotropic case in Monge-gauge where there was no attractive collaboration of particles.
  These results fit well with a range of other results where similar interactions between various types of anisotropic particles have been studied \cite{DoFo99,KiNeOs00,DoFo02,ScKo15,KaKoKlHa162}.
  
  %\TK{This is in accordance with other results that state the attraction and the development of superstructures for anisotropic particles. (egg carton and so on)}


\section{Interaction of isotropic conical inclusions on a tube}
  \label{sec:isotropicTube}
  This application investigates the interaction of two radially symmetric conical inclusions on a tubular membrane.
  As in \cref{sec:isotropicMongeGauge}, the particle model is defined through the quantities
  \begin{align*}
    \cG_0 & := \left\{x \in \R^2 \times \{0\} \mid x_1^2 + x_2^2 = r^2 \right\}
    \\ \Gamma_0 & := \left\{x \in \R^2 \mid \norm{x}^2 = r^2 \right\}
    \\ \gamma(x) & := \frac{s}{2r}\left(r^2 - \norm{x}^2\right)
    \\ \wt{\cG}_0 & := \left\{ (x,\gamma(x)) \in \R^3 \mid x \in \R^2 \right\}
    \text{.}
  \end{align*}
  Here $r \in \R_{>0}$ is the particle radius and $s \in \R$ is the particle slope.
  As before, the particles are allowed to move and rotate freely in space.
  In particular, the transformation function~$\Psi$ is identical to those in \cref{sec:isotropicMongeGauge,sec:anisotropicMongeGauge}.
  
  The reference membrane is given by a tube of length $L \in \R_{>0}$ and radius $R \in \R_{>0}$, \ie by
  \begin{align*}
    \cM_0 := \left\{ x \in [0,L] \times \R^2 \mid x_2^2 + x_3^2 = R^2 \right\}
    \text{,}
  \end{align*}
  which is again parameterized over the domain~$\Omega := [0,L] \times [0,2\pi]$ via the map
  \begin{align*}
    \varphi(x) := (x_1, R\cos(x_2), R\sin(x_2))^T\text{.}
  \end{align*}
  Under the simplifying (but non-physical) assumption that the membrane's spontaneous curvature is matched with its mean curvature and upon neglecting both surface tension and Gaussian curvature, the elastic energy function is defined by
  \begin{align*}
    \E(\p;v) := \frac{R\kappa}{2} \int_{\Omega(\p)} \left(v_{11} + \frac{v + v_{22}}{R^2} \right)^2 \d{x}\text{,}
  \end{align*}
  in accordance to \cref{thm:linearizationTube}.
  The reference function space mixes periodic and Dirichlet boundary conditions and is given by
  \begin{align*}
    H_\ast^2(\Omega) := \left\{ v \in H^2(\Omega) \mid
    v|_{\Gamma_{P,1}} = v|_{\Gamma_{P,2}},
    \ \partial_\nu v|_{\Gamma_{P,1}} = -\partial_\nu v|_{\Gamma_{P,2}},
    \ v|_{\Gamma_D} = \partial_\nu v|_{\Gamma_D} = 0\right\}
  \end{align*}
  where $\Gamma_{P,1} := [0,L] \times \{0\}$, $\Gamma_{P,2} := [0,L] \times \{2\pi\}$, and $\Gamma_D := \{0,L\} \times [0,2\pi]$.
  
  This application restricts the attention towards the interaction of the particles along a single circular line segment on the tube.
  Hence, the configuration space is defined as
  \begin{align*}
    \cD := \left\{ \p \in (\{L/2\} \times \R^5)^2 \mid \Uad(\p) \neq \emptyset \right\}\text{,}
  \end{align*}
  \ie both particles are required to position themselves at center height of the tube.
  %~ As this choice of $\cD$ is technically too large, the usual convention $\EI(\p) := \infty$ holds for the interaction potential if any of the involved quantities is not well-defined.
  The derivative of the interaction potential is given by the formula in \cref{thm:derivativeTube}.

  Within the numerical computations the introduced parameters are set to $r := 0.2$, $s := -0.3$, $R := 1$, and $L:=6$.
  In this application minimization is applied to the interaction potential~$\EI$ directly, without any rescaling.
  The initial iterate is set to
  \begin{align*}
    \p^0 :=
    \begin{pmatrix}
      L/2 & 0 & R & 0 & 0 & 0
      \\ L/2 & R\sin(\alpha) & R\cos(\alpha) & -\alpha & 0 & 0
    \end{pmatrix}
    \in \R^{2\times 6}
  \end{align*}
  with $\alpha := 45^\circ$.
  Gradients in the perturbed gradient method are again computed according to \cref{alg:gradientEvaluation} and discrete approximations $u_h(\p)$ of $u(\p)$ are obtained via \cref{alg:approxCurve} with a uniform
  %~ 245-by-256 grid over $\Omega$, yielding $h \leq \frac{2\pi}{256}$.
  123-by-128 grid over $\Omega$, yielding $h \leq \frac{2\pi}{128}$.
  The bending rigidity is again set to $\kappa := 1$ and the parameters in the perturbed gradient method are $K:= 11$, $N:=10^4$ and $\omega := 0.01$.
  As in \cref{sec:anisotropicMongeGauge}, the method again performs a gradient flow step if no valid Armijo step size is found.
  
  \begin{figure}
    \begin{center}
      \includegraphics[width=0.8\textwidth]{isotropicTubes.eps}
    \end{center}
    \caption{Rendered 3D views of the first iterate (left) and the last iterate (right) as obtained by the perturbed gradienet method applied to the problem in \cref{sec:isotropicTube}.
    The coloring indicates the magnitude of the perturbation function~$u$.
    }
    \label{fig:iteratesIsotropicTubes}
  \end{figure}
  
  \begin{figure}
    \begin{center}
      \hspace{8mm}
      \includegraphics[height=0.19\textheight,clip,trim={0 20mm 0 25mm}]{tube/01.eps}
      
      \vspace{0.5\baselineskip}
      \includegraphics[height=0.15\textheight,clip,trim={0 8mm 0 22mm}]{tube/02.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.15\textheight,clip,trim={0 8mm 0 22mm}]{tube/03.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.15\textheight,clip,trim={0 8mm 0 22mm}]{tube/04.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.15\textheight,clip,trim={0 8mm 0 22mm}]{tube/05.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.15\textheight,clip,trim={0 8mm 0 22mm}]{tube/06.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.15\textheight,clip,trim={0 8mm 0 22mm}]{tube/07.eps}
    \end{center}
    \caption{Cross sections of the optimal membrane shapes along the plane $x_1 = 3$ at the iterates $\p^i$ for $i = 0, 5, 10, 25, 150, 250$ (from left to right, from top to bottom) as generated by the perturbed gradient method applied to the problem in \cref{sec:isotropicTube}. The dotted line shows the unperturbed reference tube, and red lines indicate particle positions. The remaining coloring encodes the elevation of the membrane perturbation function~$u$.}
    \label{fig:crossSectionsIsotropicTubes}
  \end{figure}
  
  Numerical results are presented in \cref{fig:iteratesIsotropicTubes,fig:crossSectionsIsotropicTubes}.
  The method computed $250$ iteration steps, which required $578$ function evaluations.
  The iteration was terminated manually, during the course of which the energy decreased from $0.582$ to $0.209$.
  The cross sections in \cref{fig:crossSectionsIsotropicTubes} show how the iterates quickly change the height of the particles relative to the center of the tube.
  Subsequent iterations then proceed with a radial repositioning of the particles, until a stationary state is found.
  
  Most remarkably, it turns out that the particles in optimal configuration are not diametrically opposed to each other.
  This in turn indicates that the interaction of identical isotropic particles in a tubular membrane is not strictly repulsive, like it would be for almost flat Membranes in Monge-gauge.
  These results are in strong accordance with those obtained \eg in \cite{BaLiWe12} and emphasize the impact of the membrane shape on the overall particle interaction.

  %~ \vspace{5\baselineskip}
  %~ \myhrule

  %~ This example again uses the model from the \TK{first example}, however the reference manifold~$\cM_0$ is now tubular.
  
  %~ \TK{The resulting energy then reads (using the non-phyisical spontaneous curvature simplification for implementational convenience) TODO}
  
  %~ \TK{The minimization algorithm is applied to the initial configuration TODO with the same parameters as before. For simplicity the particles are constrained TO TODO}
  
  %~ \TK{The results are shown in TODO. It took TODO TODO TODO}
  
  %~ \TK{TODO FIGURES}
  
  %~ \TK{We observe repulsive behavior, but they are not fully diametrally opposed. This is in accordance with the result from TODO (Weikl?).}


\section{Towards simulating superstructures induced by FCHo2 F-BAR domains}
  \label{sec:appFCHo2}
  
  The FCHo2 F-BAR domain protein is a scaffolding particle and was first studied in \cite{HeKeFoHeDaBuMiLaEvMc07}.
  Since its discovery, those domains became known to play a role in connection with the early stages of clathrin-mediated endocytosis, possibly by slightly bending the membrane in a circular area and thus preparing the boundary for the clathrin-coated pit from which the vesicle later buds \cite{HeBoMeEvVaMiMc10}.
  The precise bending behavior of these proteins remains an unanswered question and is thus still open to debate.
  
  This section proposes a
  %~ simplistic
  model for the interaction of FCHo2 F-BAR domains in terms of the previously developed framework.
  To this end, \cref{fig:FCHo2} shows a graphical representation of the protein as obtained under the protein data base~(PDB) identifier~\emph{2V0O}.
  It depicts an atomistic representation of the two monomers of FCHo2 with a total of $4478$~atoms.

  \begin{figure}
    \begin{center}
      \includegraphics[width=0.9\textwidth]{FCHo2_top.png}
      \includegraphics[width=0.9\textwidth]{FCHo2_side.png}
    \end{center}
    \caption{Visualization of the FCHo2 F-BAR domain (PDB ID \emph{2V0O}). Blue spheres indicate the positions of the charged residue tips which bind to the membrane. Top: Protein as seen from above. Bottom: Side view of the particle.}
    \label{fig:FCHo2}
  \end{figure}
  %~ \snote{(Thanks to Dr. Michael Kozlov and Dr. Leonardo Almeida-Souza. -- where?)}

  % Particle model.
  % residues -> charged ends -> connection (rigidity assumption)
  % Also mention concrete coordinates (after transformation) and what those residues are.
  Of special significance are the six points which are depicted as large blue spheres.
  Those are the charged ends of the residues Lys146 and Arg152 of each monomer, which are given by the NZ, NH1 and NH2 atoms, respectively.
  The biomembrane connects to those points preferentially, which makes them a relevant object for the development of a particle model in the sense of the interaction framework.
  After an orthogonal transformation of the coordinates for improving the alignment of the atom positions with the two-dimensional Euclidean plane, the coordinates of these six points are approximately given in {\angstrom}ngstr\"oms~(\angstrom)\ by
  \begin{align*}
    \cG_0 := \left\{
      \mat{78.40 \\ 7.45 \\ 3.71},
      \mat{81.54 \\ -3.08 \\ -1.17},
      \mat{83.13 \\ -4.01 \\ -2.54},
      \mat{-78.53 \\ -7.74 \\  3.54},
      \mat{-81.67 \\  2.96 \\ -1.12},
      \mat{-82.87 \\  4.41 \\ -2.43}
    \right\}
    \text{.}
  \end{align*}
  The approach taken here is to use exactly these positions as point value constraints in the sense of \cref{sec:pointValueConstraints}, which essentially defines the particle model.
  
  % Membrane model: Early stage of endcytosis justifies flatness assumption.
  % Transformation model: As always.
  Concerning the membrane model, it is justified to again use the Monge-gauge parameterization of the elastic energy.
  This is because the FCHo2 particles are investigated for an early phase of the clathrin-mediated endocytosis where the membrane is not bent significantly yet and the particles themselves are expected to only induce a relatively small deformation.
  Furthermore, periodic boundary positions are imposed on the boundary of the parameterization domain in order to soften boundary effects.

  For simplicity, the transformation function~$\Psi$ is defined to only incorporate lateral displacements and rotations in the $x_1$--$x_2$-plane.
  I.\,e., given a particle state $p \in \R^4$ one has for all $x \in \R^3$
  \begin{align*}
    \Psi(p;x) :=
      \begin{pmatrix}
        \cos(p_4) & -\sin(p_4) & 0
        \\ \sin(p_4) & \phantom{-}\cos(p_4) & 0
        \\ 0 & 0 & 1
      \end{pmatrix}
      x + \mat{p_1 \\ p_2 \\ p_3}
    \text{.}
  \end{align*}
  The configuration space is set to $\cD := \R^4$ by periodic extension.
  %~ Also the 
  
  In this application the elastic membrane energy alone is not sufficient for a reasonable description of the system's particle interactions,
  and the reason behind this is that a simple mathematical consideration quickly reveals that an optimal particle configuration $\p \in \R^{n\times 4}$ would satisfy the condition $\p_i = \p_j$ for all $i,j \in \{1,\dots,n\}$.
  This again would imply perfect overlapping of all particles, which of course should be infeasible.
  Instead of forcing a separation of particles by restriction of the configuration space, the approach taken here is to augment the interaction potential by a direct particle--particle interaction~$\EI_{\text{particle}}$ which is sufficiently repulsive and thus prevents overlapping of particles.
  The interaction potential is hence defined as
  \begin{align*}
    \EI(\p) := \E(\p; u(\p)) + \EI_{\text{particle}}(\p)
  \end{align*}
  where $\E$ is the standard elastic membrane energy.
  The precise choice of $\EI_{\text{particle}}$ in this application example is based on a smoothing of the repulsive term in the Lennard--Jones interaction between each particle's atoms, see Appendix~\ref{sec:appendixRepulsion} for further details.
  In this context, while physically motivated, the particle--particle interaction term should rather be understood as a regularization than a physical extension of the model.

  Altogether, the task of finding stationary particle configurations corresponds again to a minimization problem of the type~\eqref{eq:appOptim}.
  The gradient perturbation method with restarts is applied to this problems for $n = 5$ particles over the quadratic reference domain $\Omega = [-500,500]^2$.
  The discrete membrane function~$u_h$ is computed by the discretization for point constraints as introduced in \cref{sec:point} using a locally refined grid with element sizes $h \leq \frac{500}{32}$.
  As in the previous applications, a heuristic rescaling is applied. 
  Here it is defined by
  \begin{align*}
    (R\p)_{ij} :=
    \begin{cases}
      100\,\p_{ij} & ,\ j \in \{1,2\}
      \\ 10\,\p_{ij} & ,\ j = 3
      %~ \\ \frac{5}{8 \pi} \, \p_{ij}  & ,\ j = 4
      %~ \\ \frac{5}{85 \pi} \, \p_{ij}  & ,\ j = 5
      \\ \frac{10}{13 \pi} \, \p_{ij}  & ,\ j = 4
    \end{cases}
  \end{align*}
  and the initial position is defined as $\wt{\p}^0 := R\p^0$ with
  \begin{align*}
    \p^0 :=
    \begin{pmatrix}
      -300 &  10 & 0 & 110^\circ \\
      -150 &  20 & 0 & 100^\circ \\
         0 &   0 & 0 &  90^\circ \\
       150 &  30 & 0 &  70^\circ \\
       300 & -20 & 0 &  80^\circ
    \end{pmatrix} \in \R^{5 \times 4}
    \text{.}
  \end{align*}
  The remaining parameters are defined as in the previous sections.

  \begin{figure}
    \begin{center}
      \hspace{7.5mm}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_0.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_1.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_2.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_3.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_4.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_5.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_6.eps}
      
      \vspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_7.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_8.eps}
      \hspace{1\baselineskip}
      \includegraphics[height=0.2\textheight]{FCHo2_iterate_9.eps}
    \end{center}
    \caption{Top view of the optimal membrane shapes associated to the iterates $\p^i$ for $i = 0, 10, 25, 50, 75, 100, 150, 200, 300, 400$ (from left to right, from top to bottom) as generated by the perturbed gradient method applied to the problem in \cref{sec:appFCHo2}. The coloring encodes the elevation of the membrane deformation function in~\angstrom.
    %~ Circular points have been added to the plots for the sole purpose of visualizing the particle positions and geometries.
    The space-filling model of the protein is shown to aid visualization of the particle positions and geometries.
    }
    \label{fig:iteratesFCHo2}
  \end{figure}
  
  \begin{figure}
    \begin{center}
      \includegraphics[width=0.5\textwidth]{FCHo2energies.pdf}
    \end{center}
    \caption{Energy decrease obtained by application of the perturbed gradient method to the FCHo2 aggregation problem in \cref{sec:appFCHo2}. The black line shows the values of the interaction potential~$\EI(\p^i) = \E(\p^i,u(\p^i)) + \EI_{\text{particle}}(\p^i)$ and the blue line corresponds to the pure membrane energy $\E$. The shaded area indicates the development of the direct particle--particle interaction~$\EI_{\text{particle}}$.}
    \label{fig:energiesFCHo2}
  \end{figure}

  At this point, special attention needs to be given to the value of the bending rigidity~$\kappa$.
  A physical parameter choice for the bending rigidity lies for example around $\kappa = 20\,k_BT \approx$\,\SI{2.8e-24}{\joule\per\kelvin} for room temperature (cf.~\cite{BeHaDi04}).
  However, because the surface tension $\sigma = 0$ vanishes, it is readily seen that the interaction potential~$\EI$ scales linearly with~$\kappa$, where it is assumed for simplicity that the direct particle--particle interaction is chosen proportionally to $\kappa$ as well.
  Therefore, it is sufficient to carry out the numerical computations for $\kappa=1$.
  The obtained energies may then be interpreted to be given in the unit~$[\kappa]$.

  Numerical results are shown in \cref{fig:iteratesFCHo2,fig:energiesFCHo2}.
  A total of 400~iteration steps was performed, which required 1531~function~evaluations.
  The first restart of the method happened at iteration~270, which was reached after only 530~function~evaluations,
  and a total of 70~restarts were executed from there on.
  
  As depicted in \cref{fig:iteratesFCHo2}, the iterations start with five particles that are roughly, but not perfectly, assembled into a linear configuration.
  In particular, between the third and fourth particle appears a kink, which could be energetically unfavorable.
  Over the course of iterations it is observed that this kink is resolved, which yields a slightly curved area of deformation with uniformly distributed particles around iteration~75.
  This deformation area is slightly rotated until iteration~200, while still maintaining some of its curved shape.
  The remaining iterations up to step~400 then proceed with straightening the deformation shape.
  
  As shown in \cref{fig:energiesFCHo2}, the initial energy of the interaction potential starts at $7.09$, then quickly decreases to $5.60$ until iteration step~$100$, and ultimately reaches the value $5.35$ at step~400.
  Simultaneously, the membrane energy is reduced from $6.46$ to $4.72$ at step~100 and to $4.76$ at step~400.
  The particle--particle interaction starts at $0.63$, increasing to $0.87$ at step~100 and finally decreasing to $0.58$ at step~$400$.

  Since the direct particle--particle interaction is supposed to act mostly as a regularization, the main attention is on the development of the pure elastic membrane energy.
  While ensuring that no particle overlap occurs, the regularization is sufficiently weak such that the energetic behavior of the system is still dominated by the membrane-mediated interactions.
  The optimal membrane energies are obtained between the iterations~100 and 200, which corresponds to a slightly curved line formation of the F-BAR proteins.
  Due to the non-physical nature of the regularization it is not clear from the data if this state is stationary in the physical sense.
  However, due to the particle--particle interaction being purely repulsive, it may be concluded that such a configuration is energetically favorable in comparison to the initial line setup with a kink.
  There the membrane energy is roughly decreased by $1.78\kappa$, which for $\kappa = 20\,k_BT$ corresponds to an energy decrease of $7.12\,k_BT$ per particle.
  
  In conclusion, the obtained results support the theory that FCHo2~F-BAR~domains favor linear aggregation.
  In view of the slight bending of those aggregates it furthermore appears plausible that large numbers of such particles are able to form circular pits.
  While the implementation and resources used for the computations did not admit significantly larger domains and particle counts, appropriately sized simulations might in principle be accessible through state-of-the-art solvers for partial differential equations and by investing a larger amount of computing power.
  Moreover, additional research may be advised in order to investigate the feasibility of the chosen constraint model and to improve the chosen particle--particle interaction model for further justification in a physical sense.

%~ \section{Assembly of circular inclusions as egg-cartons}
%~ Goal: Make our results more plausible by comparing them to an existing result.

%~ \section{Interaction of ellipsoidal particles on a tubular membrane}
%~ To-do: Think this through.

%~ \section{Aggregation of F-BAR domains on a flat membrane}
%~ Goal: (Hopefully) Show some aggregation in a ``real'' example.
